> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a product

> Delete a group of existing products. Up to 100 products can be deleted in a single request. Note: This action cannot be undone. Deleted products cannot be updated and there is no way to restore them

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-products-v1.json POST /crm-objects/v1/objects/products/batch-create
openapi: 3.0.0
info:
  title: CRM Products API v1
  version: 1.0.0
  description: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-introduction: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-api-use-case: >-
    To prepare for an upcoming product launch, use the products API to create a
    set of products to represent your new offerings. Sales reps can then use
    these products when creating payment links, invoices, and more.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/products/batch-create:
    post:
      summary: Update a product
      description: >-
        Delete a group of existing products. Up to 100 products can be deleted
        in a single request. Note: This action cannot be undone. Deleted
        products cannot be updated and there is no way to restore them
      operationId: postcrmobjectsv1objectsproductsbatchcreate
      responses:
        '200':
          description: Successful response - Delete a group of existing products
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update a product - Example 1
                  value:
                    - name: name
                      value: Another new product
                    - name: description
                      value: A description of yet another product.
                    - name: price
                      value: '250.00'
                    - name: recurringbillingfrequency
                      value: annually
                    - name: name
                      value: A second new product
                    - name: description
                      value: A description the second new product.
                    - name: price
                      value: '75.00'
                    - name: recurringbillingfrequency
                      value: hourly
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '250.00'
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: '250.00'
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: Another new product
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: Another new product
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
                    - versions:
                        - name: createdate
                          value: '0'
                          timestamp: 0
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: A description of yet another product.
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: A description of yet another product.
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
                    - versions:
                        - name: recurringbillingfrequency
                          value: annually
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: annually
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '75.00'
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: '75.00'
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: A second new product
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: A second new product
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
                    - versions:
                        - name: createdate
                          value: '0'
                          timestamp: 0
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: A description the second new product.
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: A description the second new product.
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
                    - versions:
                        - name: recurringbillingfrequency
                          value: hourly
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: hourly
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - e-commerce
        - oauth2_legacy: []
        - private_apps:
            - e-commerce
        - private_apps_legacy: []
components: {}

````